var AppDispatcher = require('../dispatcher/appDispatcher');
var MenuItemConstants = require('../constants/menuItemConstants');

// Define action methods
var MenuItemActions = {
  loadMenuItems: function() {
    AppDispatcher.handleAction({
      actionType: MenuItemConstants.LOAD_MENU_ITEMS,
    })
  },
  setMenuItemHover: function(menuItem) {
    AppDispatcher.handleAction({
      actionType: MenuItemConstants.SET_MENU_ITEM_HOVER,
      menuItem: menuItem
    });
  },
  unsetMenuItemHover: function() {
    AppDispatcher.handleAction({
      actionType: MenuItemConstants.UNSET_MENU_ITEM_HOVER
    });
  }
};

module.exports = MenuItemActions;
